Page MenuHomePhabricator

Review diff formater algorithm.
Closed, ResolvedPublic

Description

In some cases the algorithm seems to mark whole paragraphs as changed even though just a word was added/removed.

e.g. see

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2017, 7:36 AM
WMDE-Fisch moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Apr 10 2017, 1:04 PM
WMDE-Fisch moved this task from Todo to Sprint ready on the WMDE-QWERTY-Team board.

Change 347589 had a related patch set uploaded (by WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] Improve diff quality to match TableDiffFormatter

https://gerrit.wikimedia.org/r/347589

Some custom modifications on how the diff coming from the PHP diff engine is interpreted made the result in the TwoColumnConflict extension look worse then in the original table based diff view.

The above patch fixes that and should improve the results immensely and probably addresses the issue shown above.

A comparison between the PHP and C++ diff engine was not done for now. We might want to create a new ticket for that case.

WMDE-Fisch updated the task description. (Show Details)Apr 11 2017, 1:37 PM

Change 347589 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Improve diff quality to match TableDiffFormatter

https://gerrit.wikimedia.org/r/347589

WMDE-Fisch moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Apr 25 2017, 3:23 PM
WMDE-Fisch closed this task as Resolved.May 3 2017, 8:55 AM
WMDE-Fisch removed a project: Patch-For-Review.